## dot-forward 0.71

=== Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: it

alloc.a: \
makelib alloc.o alloc_re.o
	./makelib alloc.a alloc.o alloc_re.o

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\' \
	) > auto-ccld.sh

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a 

auto-str.o: \
compile auto-str.c substdio.h readwrite.h exit.h
	./compile auto-str.c

auto_qmail.c: \
auto-str conf-qmail
	./auto-str auto_qmail `head -1 conf-qmail` > auto_qmail.c

auto_qmail.o: \
compile auto_qmail.c
	./compile auto_qmail.c

byte_chr.o: \
compile byte_chr.c byte.h
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

case.a: \
makelib case_diffb.o
	./makelib case.a case_diffb.o

case_diffb.o: \
compile case_diffb.c case.h
	./compile case_diffb.c

check: \
it instcheck
	./instcheck

compile: \
make-compile warn-auto.sh systype
	( cat warn-auto.sh; ./make-compile "`cat systype`" ) > \
	compile
	chmod 755 compile

control.o: \
compile control.c readwrite.h open.h getln.h stralloc.h gen_alloc.h \
substdio.h error.h control.h alloc.h scan.h
	./compile control.c

dot-forward: \
load dot-forward.o control.o qmail.o auto_qmail.o token822.o env.a \
getln.a getopt.a strerr.a error.a substdio.a stralloc.a alloc.a \
case.a str.a sig.a seek.a open.a wait.a fd.a fs.a
	./load dot-forward control.o qmail.o auto_qmail.o \
	token822.o env.a getln.a getopt.a strerr.a error.a \
	substdio.a stralloc.a alloc.a case.a str.a sig.a seek.a \
	open.a wait.a fd.a fs.a 

dot-forward.0: \
dot-forward.1
	nroff -man dot-forward.1 > dot-forward.0

dot-forward.o: \
compile dot-forward.c sgetopt.h subgetopt.h substdio.h readwrite.h \
stralloc.h gen_alloc.h getln.h strerr.h error.h exit.h open.h wait.h \
seek.h env.h str.h fmt.h token822.h gen_alloc.h control.h qmail.h \
substdio.h auto_qmail.h
	./compile dot-forward.c

env.a: \
makelib envread.o
	./makelib env.a envread.o

envread.o: \
compile envread.c env.h str.h
	./compile envread.c

error.a: \
makelib error.o error_str.o
	./makelib error.a error.o error_str.o

error.o: \
compile error.c error.h
	./compile error.c

error_str.o: \
compile error_str.c error.h
	./compile error_str.c

fd.a: \
makelib fd_copy.o fd_move.o
	./makelib fd.a fd_copy.o fd_move.o

fd_copy.o: \
compile fd_copy.c fd.h
	./compile fd_copy.c

fd_move.o: \
compile fd_move.c fd.h
	./compile fd_move.c

find-systype: \
find-systype.sh auto-ccld.sh
	cat auto-ccld.sh find-systype.sh > find-systype
	chmod 755 find-systype

fmt_ulong.o: \
compile fmt_ulong.c fmt.h
	./compile fmt_ulong.c

fork.h: \
compile load tryvfork.c fork.h1 fork.h2
	( ( ./compile tryvfork.c && ./load tryvfork ) >/dev/null \
	2>&1 \
	&& cat fork.h2 || cat fork.h1 ) > fork.h
	rm -f tryvfork.o tryvfork

fs.a: \
makelib fmt_ulong.o scan_ulong.o
	./makelib fs.a fmt_ulong.o scan_ulong.o

getln.a: \
makelib getln.o getln2.o
	./makelib getln.a getln.o getln2.o

getln.o: \
compile getln.c substdio.h byte.h stralloc.h gen_alloc.h getln.h
	./compile getln.c

getln2.o: \
compile getln2.c substdio.h stralloc.h gen_alloc.h byte.h getln.h
	./compile getln2.c

getopt.a: \
makelib subgetopt.o sgetopt.o
	./makelib getopt.a subgetopt.o sgetopt.o

hassgact.h: \
trysgact.c compile load
	( ( ./compile trysgact.c && ./load trysgact ) >/dev/null \
	2>&1 \
	&& echo \#define HASSIGACTION 1 || exit 0 ) > hassgact.h
	rm -f trysgact.o trysgact

haswaitp.h: \
trywaitp.c compile load
	( ( ./compile trywaitp.c && ./load trywaitp ) >/dev/null \
	2>&1 \
	&& echo \#define HASWAITPID 1 || exit 0 ) > haswaitp.h
	rm -f trywaitp.o trywaitp

hier.o: \
compile hier.c auto_qmail.h
	./compile hier.c

install: \
load install.o hier.o auto_qmail.o strerr.a substdio.a error.a open.a \
str.a
	./load install hier.o auto_qmail.o strerr.a substdio.a \
	error.a open.a str.a 

install.o: \
compile install.c substdio.h strerr.h error.h open.h readwrite.h \
exit.h
	./compile install.c

instcheck: \
load instcheck.o hier.o auto_qmail.o strerr.a substdio.a error.a \
str.a
	./load instcheck hier.o auto_qmail.o strerr.a substdio.a \
	error.a str.a 

instcheck.o: \
compile instcheck.c strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

it: \
prog man

load: \
make-load warn-auto.sh systype
	( cat warn-auto.sh; ./make-load "`cat systype`" ) > load
	chmod 755 load

make-compile: \
make-compile.sh auto-ccld.sh
	cat auto-ccld.sh make-compile.sh > make-compile
	chmod 755 make-compile

make-load: \
make-load.sh auto-ccld.sh
	cat auto-ccld.sh make-load.sh > make-load
	chmod 755 make-load

make-makelib: \
make-makelib.sh auto-ccld.sh
	cat auto-ccld.sh make-makelib.sh > make-makelib
	chmod 755 make-makelib

makelib: \
make-makelib warn-auto.sh systype
	( cat warn-auto.sh; ./make-makelib "`cat systype`" ) > \
	makelib
	chmod 755 makelib

man: \
dot-forward.0

open.a: \
makelib open_read.o open_trunc.o
	./makelib open.a open_read.o open_trunc.o

open_read.o: \
compile open_read.c open.h
	./compile open_read.c

open_trunc.o: \
compile open_trunc.c open.h
	./compile open_trunc.c

prog: \
dot-forward

qmail.o: \
compile qmail.c substdio.h readwrite.h wait.h exit.h fork.h fd.h \
qmail.h substdio.h auto_qmail.h
	./compile qmail.c

scan_ulong.o: \
compile scan_ulong.c scan.h
	./compile scan_ulong.c

seek.a: \
makelib seek_set.o
	./makelib seek.a seek_set.o

seek_set.o: \
compile seek_set.c seek.h
	./compile seek_set.c

setup: \
it install
	./install

sgetopt.o: \
compile sgetopt.c substdio.h subfd.h substdio.h sgetopt.h subgetopt.h \
subgetopt.h
	./compile sgetopt.c

sig.a: \
makelib sig_catch.o sig_pipe.o
	./makelib sig.a sig_catch.o sig_pipe.o

sig_catch.o: \
compile sig_catch.c sig.h hassgact.h
	./compile sig_catch.c

sig_pipe.o: \
compile sig_pipe.c sig.h
	./compile sig_pipe.c

str.a: \
makelib str_len.o str_diffn.o byte_chr.o byte_copy.o byte_cr.o
	./makelib str.a str_len.o str_diffn.o byte_chr.o \
	byte_copy.o byte_cr.o

str_diffn.o: \
compile str_diffn.c str.h
	./compile str_diffn.c

str_len.o: \
compile str_len.c str.h
	./compile str_len.c

stralloc.a: \
makelib stralloc_eady.o stralloc_pend.o stralloc_copy.o \
stralloc_opys.o stralloc_opyb.o stralloc_cat.o stralloc_cats.o \
stralloc_catb.o
	./makelib stralloc.a stralloc_eady.o stralloc_pend.o \
	stralloc_copy.o stralloc_opys.o stralloc_opyb.o \
	stralloc_cat.o stralloc_cats.o stralloc_catb.o

stralloc_cat.o: \
compile stralloc_cat.c byte.h stralloc.h gen_alloc.h
	./compile stralloc_cat.c

stralloc_catb.o: \
compile stralloc_catb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_catb.c

stralloc_cats.o: \
compile stralloc_cats.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_cats.c

stralloc_copy.o: \
compile stralloc_copy.c byte.h stralloc.h gen_alloc.h
	./compile stralloc_copy.c

stralloc_eady.o: \
compile stralloc_eady.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_eady.c

stralloc_opyb.o: \
compile stralloc_opyb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_opyb.c

stralloc_opys.o: \
compile stralloc_opys.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_opys.c

stralloc_pend.o: \
compile stralloc_pend.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_pend.c

strerr.a: \
makelib strerr_sys.o strerr_die.o
	./makelib strerr.a strerr_sys.o strerr_die.o

strerr_die.o: \
compile strerr_die.c substdio.h subfd.h substdio.h exit.h strerr.h
	./compile strerr_die.c

strerr_sys.o: \
compile strerr_sys.c error.h strerr.h
	./compile strerr_sys.c

subfderr.o: \
compile subfderr.c readwrite.h substdio.h subfd.h substdio.h
	./compile subfderr.c

subgetopt.o: \
compile subgetopt.c subgetopt.h
	./compile subgetopt.c

substdi.o: \
compile substdi.c substdio.h byte.h error.h
	./compile substdi.c

substdio.a: \
makelib substdio.o substdi.o substdo.o subfderr.o substdio_copy.o
	./makelib substdio.a substdio.o substdi.o substdo.o \
	subfderr.o substdio_copy.o

substdio.o: \
compile substdio.c substdio.h
	./compile substdio.c

substdio_copy.o: \
compile substdio_copy.c substdio.h
	./compile substdio_copy.c

substdo.o: \
compile substdo.c substdio.h str.h byte.h error.h
	./compile substdo.c

systype: \
find-systype trycpp.c
	./find-systype > systype

token822.o: \
compile token822.c stralloc.h gen_alloc.h alloc.h str.h token822.h \
gen_alloc.h gen_allocdefs.h
	./compile token822.c

wait.a: \
makelib wait_pid.o
	./makelib wait.a wait_pid.o

wait_pid.o: \
compile wait_pid.c error.h haswaitp.h
	./compile wait_pid.c

=== debian/changelog ===
dot-forward (1:0.71-5) unstable; urgency=medium

  * QA upload.
  * Bump version to 1:0.71-5 to not reuse a version number that was used
    before the epoch was added (last pre-epoch upload was 0.71-4). This avoids
    clashes on filenames in the archive (versions in filenames don't include
    the epoch).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 May 2019 01:50:05 +0200

dot-forward (1:0.71-3) unstable; urgency=medium

  * QA upload.
  * Set package maintainer to QA Group
  * wrap-and-sort -sta
  * Update standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in `debian/control'
  * Convert package to 3.0 source format and debhelper
  * Do not install documentation, not informative for end user
  * Replace deprecated priority `extra' with `optional'
  * Ensure manpage section matches its install path
  * Add Homepage field into `debian/control'

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 11 Jan 2019 20:46:13 +0000

dot-forward (1:0.71-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS ("cannot read [...] usr/sbin/*"); we don't install anything to
    sbin, so use Make's $(wildcard ..) over the shell's "*". (Closes: #855275)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Feb 2017 14:07:22 +1300

dot-forward (1:0.71-2.1) unstable; urgency=medium

  * Non-maintainer upload with permission.
  * Make the build reproducible by passing "-n" switch to gzip.
    (Closes: #776760)

 -- Chris Lamb <lamby@debian.org>  Mon, 19 Sep 2016 09:52:56 +0100

dot-forward (1:0.71-2) unstable; urgency=low

  * debian/rules: install dot-forward.1 manpage as dot-forward.1qmail to
    resolve conflict with the courier-mta package (closes: #620396).
  * debian/control: Standards-Version: 3.9.3.1.

 -- Gerrit Pape <pape@smarden.org>  Wed, 11 Apr 2012 23:31:32 +0000

dot-forward (1:0.71-1) unstable; urgency=low

  * debian/rules: remove target configure:; use glibc by default instead
    of dietlibc; new target patch: apply diff from debian/diff/; install
    into /var/lib/qmail/ instead of /var/qmail/; target binary-arch: run
    dpkg-shlibdeps; target clean: remove debian/substvars; target build:
    set conf-qmail, restore orig in target clean:.
  * debian/diff/0001-error.h-include-errno.h-instead-of-extern-int.diff:
    new: error.h: '#include <errno.h>' instead of 'extern int errno;'.
  * debian/implicit: update to revision a09db2e.
  * debian/control: no longer Build-Depends: dietlibc-dev; no longer
    Depends: qmail, but Recommends:; Depends: ${shlibs:Depends};
    Build-Depends: groff-base; Standards-Version: 3.7.3.0.
  * debian/dot-forward.docs: remove INSTALL.
  * debian/control: update short and long descriptions.
  * debian/dot-forward.README.Debian: redo.
  * debian/copyright: upstream sources and debian diff is in the public
    domain.
  * debian/gcc/: remove; obsolete.
  * debian/changelog: add epoch 1 to supersede unofficial package.
  * upload to Debian/main (closes: #484763).

 -- Gerrit Pape <pape@smarden.org>  Mon, 09 Jun 2008 20:52:11 +0000

dot-forward (0.71-zarge2) sarge; urgency=low

  * build against sarge's dietlibc-dev (0.28-3).

 -- Gerrit Pape <pape@smarden.org>  Thu, 26 May 2005 18:55:38 +0000

dot-forward (0.71-zarge1) sarge; urgency=low

  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Aug 2004 16:18:52 +0000

dot-forward (0.71-zarge0.3) sarge; urgency=low

  * debian/control: no longer Build-Depends: dephelper; remove
    Standards-Version.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian, debian/docs: rename to dot-forward.*.
  * debian/dirs, debian/links.in: remove; obsolete.
  * debian/copyright: minor.

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 Apr 2004 13:53:28 +0000

dot-forward (0.71-zarge0.2) sarge; urgency=low

  * use diet libc.
  * debian/rules: new target configure: set up diet program as c compiler
    wrapper; conditionally overwrite PATH to have diet program used as c
    compiler wrapper; minor cleanup.
  * debian/gcc/gcc*: new; diet program as c compiler wrapper.
  * debian/control: Build-Depends: dietlibc-dev; no longer Depends:
    ${shlibs:Depends}.

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Nov 2003 12:47:14 +0000

dot-forward (0.71-woody1) woody; urgency=low

  * bump version for release.

 -- Gerrit Pape <pape@smarden.org>  Tue,  9 Jul 2002 11:05:17 +0200

dot-forward (0.71-woody0.2) woody; urgency=low

  * debian/rules: use numeric uids and gids to avoid build-dependency
    on qmail-uids-gids.

 -- Gerrit Pape <pape@smarden.org>  Thu, 28 Mar 2002 10:30:59 +0100

dot-forward (0.71-woody0.1) woody; urgency=low

  * woody package; new Standards-Version: 3.5.2.

 -- Gerrit Pape <pape@smarden.org>  Tue, 23 Oct 2001 15:32:46 +0200

dot-forward (0.71-1) stable; urgency=low

  * 1st debian version, no other changes.

 -- Gerrit Pape <pape@innominate.com>  Thu,  1 Feb 2001 09:54:42 +0100

dot-forward (0.71-0.3) unstable; urgency=low

  * cleanup.

 -- Gerrit Pape <pape@innominate.com>  Mon, 18 Dec 2000 15:26:39 +0100

dot-forward (0.71-0.2) unstable; urgency=low

  * Documentation.
  * binaries moved to /usr/{bin,sbin} and linked back to /var/qmail/bin/.

 -- Gerrit Pape <pape@innominate.de>  Tue,  2 May 2000 09:20:33 +0200

dot-forward (0.71-0.1) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.de>  Tue, 18 Apr 2000 18:09:29 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dot-forward
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 groff-base,
 debhelper-compat (= 11)
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/dot-forward.git
Vcs-Browser: https://salsa.debian.org/debian/dot-forward
Homepage: http://cr.yp.to/software/dot-forward.html

Package: dot-forward
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 qmail (>> 1.06),
Description: reads sendmail's .forward files under qmail
 It runs in the qmail startup script to support all your existing .forward
 files automatically.  Individual users can switch to the .qmail mechanism
 at their leisure.
 .
 dot-forward supports forwarding, program deliveries, and comments.  It
 does not support file deliveries or :include: (However, it recognizes
 file delivery attempts, and defers delivery to give you a chance to set up
 a .qmail file).

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	echo $(CC) $(CFLAGS) $(CPPFLAGS) > conf-cc
	echo $(CC) $(LDFLAGS)            > conf-ld
	echo /var/lib/qmail              > conf-qmail

# Do not use upstream build system, install via debhelper.
override_dh_auto_install:
override_dh_auto_test:
